package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemIntImpQueryStorageBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjjStorageUse

/**
 * 国际进港查询详情-库位信息ViewHolder
 */
class IntImpQueryStorageViewHolder(view: View) :
    BaseViewHolder<GjjStorageUse, ItemIntImpQueryStorageBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean
        binding.position = position
        binding.executePendingBindings()
    }
}
